version: "3"
services:
  db:
    image: "postgres:${POSTGRES_VERSION}"
    restart: unless-stopped
    container_name: postgres
    environment:
      POSTGRES_DB: wiki
      POSTGRES_PASSWORD: "${POSTGRES_PASSWORD}"
      POSTGRES_USER: admin
    logging:
      driver: "none"
    volumes:
      - db-data:/var/lib/postgresql/data
    network_mode: host

  wiki:
    image: "requarks/wiki:${WIKI_VERSION}"
    restart: unless-stopped
    container_name: wiki
    depends_on:
      - db
    environment:
      DB_TYPE: postgres
      DB_HOST: 127.0.0.1
      DB_PORT: 5432
      DB_USER: admin
      DB_PASS: "${POSTGRES_PASSWORD}"
      DB_NAME: wiki
    network_mode: host

volumes:
  db-data: